
//  OsavaltioitaStringBuilder.java  Copyright (c) 2005 Kari Laitinen

//  http://www.naturalprogramming.com

//  2005-09-25   Tiedosto luotu.
//  2005-09-25   Viimeisin muutos.

//  Tama ohjelma toimii kuten Osavaltioita.java. Tassa ohjelmassa
//  kaytetaan StringBuilder-oliota String-olioiden sijaan.

class OsavaltioitaStringBuilder
{
   public static void main( String[] ei_kaytossa )
   {
      String  lantisin_osavaltio  =  "Hawaii" ;
      String  preeriaosavaltio    =  "Illinois" ;

      StringBuilder osavaltioita_usassa  =
           new StringBuilder( lantisin_osavaltio + "  " + preeriaosavaltio ) ;

      System.out.print( "\n   "  +  osavaltioita_usassa ) ;

      String  kultainen_osavaltio    =  "California" ;

      osavaltioita_usassa.insert( 6, kultainen_osavaltio ) ;
      osavaltioita_usassa.insert( 6, "  " ) ;

      System.out.print( "\n   "  +  osavaltioita_usassa ) ;

      String  itaisin_osavaltio  =  "Maine" ;

      osavaltioita_usassa.append( "  Virginia  " ) ;
      osavaltioita_usassa.append( itaisin_osavaltio ) ;

      System.out.print( "\n   "  +  osavaltioita_usassa ) ;

      int viimeisen_osavaltion_indeksi  =
                     osavaltioita_usassa.toString().lastIndexOf( "  " ) ;

      osavaltioita_usassa.delete( viimeisen_osavaltion_indeksi,
                                  osavaltioita_usassa.length() ) ;

      osavaltioita_usassa.append( "  Massachusetts" ) ;

      System.out.print( "\n   "  +  osavaltioita_usassa ) ;

      osavaltioita_usassa.replace(
                 osavaltioita_usassa.toString().indexOf( "Illinois" ),
                 osavaltioita_usassa.toString().indexOf( "Virginia" ),
                 "Michigan  " ) ;

      System.out.print( "\n   "  +  osavaltioita_usassa  +  "\n" ) ;
   }
}


